ServerEvents.recipes(event => {
    event.remove({id: 'ad_astra:electronic_blast_furnace'})
    event.remove({id: 'ad_astra:alloying/steel_ingot_from_alloying_iron_ingot_and_coals'})
    event.remove({id: 'ad_astra:coal_generator'})
    event.remove({id: 'ad_astra:steel_engine'})
    event.remove({id: 'ad_astra:desh_engine'})
    event.remove({id: 'ad_astra:ostrum_engine'})
    event.remove({id: 'ad_astra:calorite_engine'})
})

ServerEvents.recipes(event => {
    //Compressor
    event.shaped('ad_astra:compressor',
    ['121','1 1','121'], {
      1: '#forge:ingots/hop_graphite', 
      2: '#forge:pistons'
    }).id('ad_astra:compressor')

    //T1 Engine
    event.shaped('ad_astra:steel_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/steel', 
        2: 'ad_astra:engine_frame', 
        3: 'ad_astra:fan'
    }).id('ad_astra:steel_engine')

    //T2 Engine
    event.shaped('ad_astra:desh_engine',
    ['111','121','435'], {
        1: '#forge:plates/desh', 
        2: 'ad_astra:steel_engine', 
        3: 'ad_astra:fan',
        4: 'blue_skies:lunar_stonebrick',
        5: 'blue_skies:turquoise_stonebrick'
    }).id('ad_astra:desh_engine')

    //T3 Engine
    event.shaped('ad_astra:ostrum_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/ostrum', 
        2: 'ad_astra:desh_engine', 
        3: 'ad_astra:fan'
    }).id('ad_astra:ostrum_engine')

    //T4 Engine
    event.shaped('ad_astra:calorite_engine',
    ['111','121',' 3 '], {
        1: '#forge:plates/calorite', 
        2: 'ad_astra:ostrum_engine', 
        3: 'ad_astra:fan'
    }).id('ad_astra:calorite_engine')
})